=== debian/changelog ===
mosquitto-auth-plugin (0.0.7-2.1ubuntu3) bionic; urgency=medium

  * Reapply the openssl1.1 patch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Feb 2018 23:03:34 -0800

mosquitto-auth-plugin (0.0.7-2.1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:36 +0000

mosquitto-auth-plugin (0.0.7-2.1ubuntu1) zesty; urgency=medium

  * Dont apply openssl 1.1 patch as openssl isnt present in ubuntu as 
    yet.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 13 Feb 2017 11:28:33 +0530

mosquitto-auth-plugin (0.0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1.  (Closes: #828443)
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #845875)
  * Fix debian/rules clean.
  * Use canonical Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Jan 2017 18:38:50 +0100

mosquitto-auth-plugin (0.0.7-2) unstable; urgency=medium

  * Fix git paths in debian/control
  * Add missing build depends

 -- Adam Majer <adamm@zombino.com>  Wed, 20 Jan 2016 23:05:27 -0600

mosquitto-auth-plugin (0.0.7-1) unstable; urgency=low

  * Initial release (closes: #809986)

 -- Adam Majer <adamm@zombino.com>  Sat, 02 Jan 2016 20:04:53 -0600
