=== debian/control ===
Source: mosquitto-auth-plugin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
Build-Depends: debhelper (>= 9), libssl-dev, libmosquitto-dev, mosquitto-dev,
               libhiredis-dev, default-libmysqlclient-dev, libpq-dev, libsqlite3-dev,
               libldap2-dev, libcdb-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.6
Homepage: https://github.com/jpmens/mosquitto-auth-plug
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mosquitto-auth-plugin.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mosquitto-auth-plugin.git

Package: mosquitto-auth-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Authentication plugin for Mosquitto with multiple back-ends
 Authentication plugin for Mosquitto with multiple backends for
 MySQL, PostgreSQL, Redis, CDB, SQLite3 and LDAP
