=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 

override_dh_auto_build:
	VPATH=.. $(MAKE) -C build

override_dh_auto_install:
	dh_auto_install
	cp build/auth-plug.so debian/mosquitto-auth-plugin/usr/lib/mosquitto-auth-plugin/auth-plugin.so
	cp build/np           debian/mosquitto-auth-plugin/usr/bin/

override_dh_auto_configure:
	mkdir -p build
	cp -l Makefile config.mk build

override_dh_auto_clean:
	rm -rf build
