=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/mosquitto-auth-plugin-$1.tar.gz/" \
         https://github.com/jpmens/mosquitto-auth-plug/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
