## mosquitto-auth-plugin 0.1.2

=== Makefile ===
--- 
+++ 
@@ -78,26 +78,46 @@
 	OBJS += be-http.o
 endif
 
+ifneq ($(BACKEND_JWT), no)
+	BACKENDS+= -DBE_JWT
+	BACKENDSTR += JWT
+
+	BE_LDADD += -lcurl
+	OBJS += be-jwt.o
+endif
+
 ifneq ($(BACKEND_MONGO), no)
 	BACKENDS+= -DBE_MONGO
 	BACKENDSTR += MongoDB
 
 	BE_CFLAGS += -I/usr/local/include/
+	BE_CFLAGS += -I/usr/local/include/libmongoc-1.0/
+	BE_CFLAGS += -I/usr/local/include/libbson-1.0/
 	BE_LDFLAGS += -L/usr/local/lib
 	BE_LDADD += -lmongoc-1.0 -lbson-1.0
 	OBJS += be-mongo.o
 endif
 
+ifneq ($(BACKEND_FILES), no)
+	BACKENDS+= -DBE_FILES
+	BACKENDSTR += Files
+
+	OBJS += be-files.o
+endif
+
 OSSLINC = -I$(OPENSSLDIR)/include
 OSSLIBS = -L$(OPENSSLDIR)/lib -lcrypto
 
-CFLAGS = -I$(MOSQUITTO_SRC)/src/
+CFLAGS := $(CFG_CFLAGS)
+CFLAGS += -I$(MOSQUITTO_SRC)/src/
 CFLAGS += -I$(MOSQUITTO_SRC)/lib/
 ifneq ($(OS),Windows_NT)
 	CFLAGS += -fPIC -Wall -Werror
 endif
 CFLAGS += $(BACKENDS) $(BE_CFLAGS) -I$(MOSQ)/src -DDEBUG=1 $(OSSLINC)
-LDFLAGS = $(BE_LDFLAGS) -L$(MOSQUITTO_SRC)/lib/
+
+LDFLAGS := $(CFG_LDFLAGS)
+LDFLAGS += $(BE_LDFLAGS) -L$(MOSQUITTO_SRC)/lib/
 # LDFLAGS += -Wl,-rpath,$(../../../../pubgit/MQTT/mosquitto/lib) -lc
 # LDFLAGS += -export-dynamic
 LDADD = $(BE_LDADD) $(OSSLIBS) -lmosquitto
@@ -137,10 +157,12 @@
 be-postgres.o: be-postgres.c be-postgres.h Makefile
 cache.o: cache.c cache.h uthash.h Makefile
 be-http.o: be-http.c be-http.h Makefile backends.h
+be-jwt.o: be-jwt.c be-jwt.h Makefile backends.h
 be-mongo.o: be-mongo.c be-mongo.h Makefile
+be-files.o: be-files.c be-files.h Makefile
 
 np: np.c base64.o
-	$(CC) $(CFLAGS) $^ -o $@ $(OSSLIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(OSSLIBS)
 
 $(CDBLIB):
 	(cd $(CDBDIR); make libcdb.a cdb )
