=== debian/changelog ===
mosquitto-auth-plugin (0.1.2-1build1) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 08:47:35 +0000

mosquitto-auth-plugin (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    + update build-depends
    + updated Standards to 4.0.0
  * debian/patches:
    + fix_np_getopt: removed, upstreamed
    + fix_makefile: ported to new version

 -- Adam Majer <adamm@zombino.com>  Sun, 20 Aug 2017 01:00:47 -0500
