=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9), libssl-dev, libmosquitto-dev, mosquitto-dev,
                libhiredis-dev, default-libmysqlclient-dev, libpq-dev, libsqlite3-dev,
                libldap2-dev, libcdb-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/jpmens/mosquitto-auth-plug
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mosquitto-auth-plugin.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mosquitto-auth-plugin.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/mosquitto-auth-plugin.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mosquitto-auth-plugin.git;a=summary
 
 Package: mosquitto-auth-plugin
 Architecture: any
